Bug 1429984 (CVE-2017-6508) - CVE-2017-6508 wget: CRLF injection in the url_parse function in url.c
Summary: CVE-2017-6508 wget: CRLF injection in the url_parse function in url.c
Status: CLOSED WONTFIX
Alias: CVE-2017-6508
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170307,reported=2...
Keywords: Security
Depends On: 1429986
Blocks: 1429985
TreeView+ depends on / blocked
 
Reported: 2017-03-07 15:38 UTC by Andrej Nemec
Modified: 2019-06-08 21:50 UTC (History)
4 users (show)

(edit)
A CRLF injection flaw was found in the way wget handled URLs. A remote attacker could use this flaw to inject arbitrary HTTP headers in requests, via CRLF sequences in the host sub-component of a URL, by tricking a user running wget into processing crafted URLs.
Clone Of:
(edit)
Last Closed: 2017-03-09 05:28:28 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-03-07 15:38:00 UTC
CRLF injection vulnerability in the url_parse function in url.c in Wget through allows remote attackers to inject arbitrary HTTP headers via CRLF sequences in the host subcomponent of a URL.

References:

http://lists.gnu.org/archive/html/bug-wget/2017-03/msg00018.html

Upstream patch:

http://git.savannah.gnu.org/cgit/wget.git/commit/?id=4d729e322fae359a1aefaafec1144764a54e8ad4

Comment 1 Andrej Nemec 2017-03-07 15:39:18 UTC
Created wget tracking bugs for this issue:

Affects: fedora-all [bug 1429986]


Note You need to log in before you can comment on or make changes to this bug.